# Prepaid Kasse

Kassenmodul mit RFID, Display und Tastenfeld um über Wifi mit Verechnungsserver, vorher aufgeladenes Geld abzubuchen.

## Hardware Konzept

* ESP32 oder ESP2866
* RC522 RFID Modul
* Matrix Tastenfeld 4x4
* 7Segment oder Punktmatrix Display 

## Server Konzept

* HTTPS Verbindung von Kassenmodul zu JSON API am Webserver
* Authentifizierung mit User/Kennwort oder mit Clientzertifikat
* Modul überträgt Token-Kennung und Produkt-ID
* Server bestätigt Abbuchung und übermittelt Restbetrag 
  

## Handling Konzept

1. RFID Token scannen
1.1 Optional wählbaren PIN-Code eingeben
2. Getränk oder Produkt mit Tastatur auswählen
3. Mit OK Taste Betrag abbuchen